com.smartgwt.client.types

## Enum ForceTextApproach

- java.lang.Object
- - java.lang.Enum<ForceTextApproach>
  - - com.smartgwt.client.types.ForceTextApproach

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<ForceTextApproach>

      public enum ForceTextApproach
      extends java.lang.Enum<ForceTextApproach>
      implements ValueEnum

  Approach to force a text value to be interpreted as text rather than parsed as a date, time or other structured types, as can happen with Microsoft Excel. For background information, see `ExcelPasting`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORMULA` text value is turned into a trivial Excel formula (eg "car" becomes ="car").
    `LEADINGSPACE` a leading space character is added

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static ForceTextApproach` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ForceTextApproach[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LEADINGSPACE

          public static final ForceTextApproach LEADINGSPACE

      a leading space character is added

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "leadingSpace".

    - #### FORMULA

          public static final ForceTextApproach FORMULA

      text value is turned into a trivial Excel formula (eg "car" becomes ="car"). In Excel, this renders just the value "car" but editing the cell reveals the formula.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "formula".

  - ### Method Detail

    - #### values

          public static ForceTextApproach[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ForceTextApproach c : ForceTextApproach.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ForceTextApproach valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`